org.apache.lucene.codecs.lucene41

## Class Lucene41StoredFieldsFormat

- java.lang.Object
- - org.apache.lucene.codecs.StoredFieldsFormat
  - - org.apache.lucene.codecs.lucene41.Lucene41StoredFieldsFormat

- Deprecated.
  only for reading old 4.x segments

      @Deprecated
      public class Lucene41StoredFieldsFormat
      extends StoredFieldsFormat

  Lucene 4.1 stored fields format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene41StoredFieldsFormat()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StoredFieldsReader` | `fieldsReader(Directory directory, SegmentInfo si, FieldInfos fn, IOContext context)` Deprecated.
    `StoredFieldsWriter` | `fieldsWriter(Directory directory, SegmentInfo si, IOContext context)` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene41StoredFieldsFormat

          public Lucene41StoredFieldsFormat()

      Deprecated.

  - ### Method Detail

    - #### fieldsReader

          public final StoredFieldsReader fieldsReader(Directory directory,
                                        SegmentInfo si,
                                        FieldInfos fn,
                                        IOContext context)
                                                throws IOException

      Deprecated.
      Specified by:
        `fieldsReader` in class `StoredFieldsFormat`
      Throws:
        `IOException`

    - #### fieldsWriter

          public StoredFieldsWriter fieldsWriter(Directory directory,
                                        SegmentInfo si,
                                        IOContext context)
                                          throws IOException

      Deprecated.
      Specified by:
        `fieldsWriter` in class `StoredFieldsFormat`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.